
Mars Rover Kata - version 1.2
=============================


This is a solution to the Kata in Python3. 

The requirements to run this code are:

 * Python3 
 * pip
 * GNU Make (optional)

To run the code create a virtual
environment and install the dependecies and then the code itself. If you are
familiar with Python you can also use Pipenv and skip the following instructions:

```
# These istructions assume you use a shell on a UNIX like system (Mac or Linux)
$ python3 -m venv rover-env
$ source rover-env/bin/activate
$ pip install -r  requirements.txt
```

If you have GNU Make installed on your system you can simply use:

```
$ make setup/dev
$ source rover/env/activate
```

USAGE
-----
To land the rover on mars:

```
$ rover land
Landed on (7, 2) Facing East.
```
To move the rover
```
$ rover move FSF
Moved to (8, 1) Facing South.
```


